URLResolver (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.optional.extension.resolvers.URLResolver class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.extension.resolvers
Class URLResolver

    java.lang.Object
      org.apache.tools.ant.taskdefs.optional.extension.resolvers.URLResolver

All Implemented Interfaces:
  ExtensionResolver

    public class URLResolver

extends java.lang.Object
implements ExtensionResolver

Resolver that just returns s specified location.

Constructor Summary
`URLResolver()`

Method Summary
`java.io.File` | `resolve(Extension extension, Project project)` Returns the file resolved from URL and directory
`void` | `setDestdir(java.io.File destdir)` Sets the destination directory
`void` | `setDestfile(java.io.File destfile)` Sets the destination file
`void` | `setUrl(java.net.URL url)` Sets the URL
`java.lang.String` | `toString()` Returns a string representation of the URL

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### URLResolver

    public URLResolver()

Method Detail

### setUrl

    public void setUrl(java.net.URL url)

  Sets the URL

  Parameters:
    `url` - the url

### setDestfile

    public void setDestfile(java.io.File destfile)

  Sets the destination file

  Parameters:
    `destfile` - the destination file

### setDestdir

    public void setDestdir(java.io.File destdir)

  Sets the destination directory

  Parameters:
    `destdir` - the destination directory

### resolve

    public java.io.File resolve(Extension extension,
                                Project project)
                         throws BuildException

  Returns the file resolved from URL and directory

  Specified by:
    `resolve` in interface `ExtensionResolver`
  Parameters:
    `extension` - the extention
    `project` - the project
  Returns:
    file the file resolved
  Throws:
    `BuildException` - if the URL is invalid

### toString

    public java.lang.String toString()

  Returns a string representation of the URL

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    the string representation

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD